org.red5.compatibility.flex.messaging.messages

## Class ErrorMessage

- java.lang.Object
- - org.red5.compatibility.flex.messaging.messages.AbstractMessage
  - - org.red5.compatibility.flex.messaging.messages.AsyncMessage
    - - org.red5.compatibility.flex.messaging.messages.ErrorMessage

All Implemented Interfaces:
  Serializable, Message

    public class ErrorMessage
    extends AsyncMessage

Compatibility flex error message to be returned to the client.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  Serialized Form

### Field Summary

Fields
`Object` `extendedData`
`String` `faultCode`
`String` `faultDetail`
`String` `faultString`
`Object` `rootCause`

### Fields inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage

`CORRELATION_ID_BYTES_FLAG, CORRELATION_ID_FLAG, correlationId, correlationIdBytes`

### Fields inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage

`body, clientId, clientIdBytes, destination, headers, messageId, messageIdBytes, timestamp, timeToLive`

### Fields inherited from interface org.red5.compatibility.flex.messaging.messages.Message

`DESTINATION_CLIENT_ID_HEADER, ENDPOINT_HEADER, FLEX_CLIENT_ID_HEADER, MESSAGING_VERSION, NEEDS_CONFIG_HEADER, POLL_WAIT_HEADER, PRESERVE_DURABLE_HEADER, REMOTE_CREDENTIALS_HEADER, REMOVE_SUBSCRIPTIONS, SELECTOR_HEADER, SUBSCRIPTION_INVALIDATED_HEADER, SUBTOPIC_SEPARATOR, SYNC_HEADER`

### Constructor Summary

Constructors
Constructor and Description
`ErrorMessage()`

### Method Summary

### Methods inherited from class org.red5.compatibility.flex.messaging.messages.AsyncMessage

`addParameters, getCorrelationId, readExternal, setCorrelationId, writeExternal`

### Methods inherited from class org.red5.compatibility.flex.messaging.messages.AbstractMessage

`getBody, getClientId, getDestination, getHeader, getHeaders, getMessageId, getTimestamp, getTimeToLive, headerExists, readFlags, setBody, setClientId, setDestination, setHeader, setHeaders, setMessageId, setTimestamp, setTimeToLive, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### faultCode

    public String faultCode

#### faultDetail

    public String faultDetail

#### faultString

    public String faultString

#### rootCause

    public Object rootCause

#### extendedData

    public Object extendedData

### Constructor Detail

#### ErrorMessage

    public ErrorMessage()